Bug 607411 - kernel bug: installing rhel3.9 occasionally throws "kernel panic" error
kernel bug: installing rhel3.9 occasionally throws "kernel panic" error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.9
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 23:40 EDT by Jianjiao Sun
Modified: 2013-01-09 17:46 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"kernel panic" screenshot of rhel3u9 during installation (30.12 KB, image/png)
2010-06-23 23:40 EDT, Jianjiao Sun
no flags Details
kernel panic (40.30 KB, image/png)
2010-07-15 05:55 EDT, Golita Yue
no flags Details

  None (edit)
Description Jianjiao Sun 2010-06-23 23:40:01 EDT
Created attachment 426447 [details]
"kernel panic" screenshot of rhel3u9 during installation

Description of problem:
Install guest of rhel3.9 which arch is i386.Instal method is "Network install".during installation ,"kernel panic" errror threw.

Version-Release number of selected component (if applicable):
[root@dhcp-65-144 unanao]# rpm -q virt-manager
virt-manager-0.8.4-5.el6.noarch

[root@dhcp-65-144 unanao]# rpm -q libvirt
libvirt-0.8.1-9.el6.x86_64

[root@dhcp-65-144 unanao]# rpm -qa |grep kvm
qemu-kvm-0.12.1.2-2.79.el6.x86_64

[root@dhcp-65-144 unanao]# uname -a
Linux dhcp-65-144.nay.redhat.com 2.6.32-37.el6.x86_64 #1 SMP Sun Jun 20 19:29:35 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux



How reproducible:
I test 6 times,2 times get the "kernel panic" error.

Steps to Reproduce:
1.Click the "Create a new virtual machine",Select "Network install"

2.Add the url:http://download.englab.nay.redhat.com/pub/rhel/released/RHEL-3/U9/AS/i386/tree/

3.Continue with the default value.
  
Actual results:
sometimes throws "kernel panic" error

Expected results:
Install the guest successfully

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-23 23:53:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Cole Robinson 2010-06-25 09:52:15 EDT
Probably not virt-manager related, reassigning to KVM for further triage.
Comment 4 Gleb Natapov 2010-06-30 12:53:52 EDT
Which nic model are you using? Can you try with different nic?
Comment 6 Golita Yue 2010-07-15 05:54:00 EDT
Gleb,

I hit this error with rtl8139 nic. VM is rhel3.9-64bit with ide disk.
Attached the screenshot.
Comment 7 Golita Yue 2010-07-15 05:55:44 EDT
Created attachment 432012 [details]
kernel panic
Comment 8 Gleb Natapov 2010-07-15 06:08:56 EDT
(In reply to comment #7)
> Created an attachment (id=432012) [details]
> kernel panic    
code disassembles to:
0f 0b                   ud2a
which is BUG().
Comment 9 Gleb Natapov 2010-07-15 08:12:32 EDT
The BUG is in  add_timer() called from ide_timer_expiry():
BUG_ON(timer_pending(timer) || !timer->function);

Code tries to add timer when one is still pending. Look like guest bug to me.
Comment 10 Cao, Chen 2010-07-26 02:04:12 EDT
any progress on this bug? make it block kvm bug tier2,
and remove it later, if it is indeed a guest bug...
Comment 11 Suqin Huang 2010-08-11 03:51:22 EDT
it always happen on AMD host


Call Trace: [<ffffffff8021979b>]{ide_set_handler+27} 

       [<ffffffffa007a328>]{:ide-cd:cdrom_read_intr+856} [<ffffffff80131ef9>]{do_timer+41} 

       [<ffffffff80116952>]{timer_interrupt+930} [<ffffffff8011f99c>]{wake_up_cpu+28} 

       [<ffffffffa0079fd0>]{:ide-cd:cdrom_read_intr+0} [<ffffffff80126bd5>]{printk+485} 

       [<ffffffff80110857>]{common_interrupt+95} [<ffffffff80221b60>]{ide_timer_expiry+0} 

       [<ffffffff80221f5d>]{ide_intr+349} [<ffffffff8011f99c>]{wake_up_cpu+28} 

       [<ffffffffa0079fd0>]{:ide-cd:cdrom_read_intr+0} [<ffffffff80221c92>]{ide_timer_expiry+306} 

       [<ffffffff801325ec>]{timer_bh+684} [<ffffffff80110857>]{common_interrupt+95} 

       [<ffffffff8012cfbf>]{bh_action+79} [<ffffffff8012ce6b>]{tasklet_hi_action+139} 

       [<ffffffff8012cb3d>]{do_softirq+253} [<ffffffff801137a3>]{do_IRQ+339} 

       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010de20>]{default_idle+0} 

       [<ffffffff80110857>]{common_interrupt+95}  <EOI> [<ffffffff8010de3e>]{default_idle+30} 

       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010dec9>]{cpu_idle+73} 

       

Process swapper (pid: 0, stackpage=ffffffff80623000)

Stack: ffffffff805effc0 0000000000000018 ffffffff8021979b 0000000000000092 

       ffffffffa007a328 000641900000029f 00000058d1b71759 0000000000000086 

       0000000000000086 ffffffff80131ef9 

Call Trace: [<ffffffff8021979b>]{ide_set_handler+27} 

       [<ffffffffa007a328>]{:ide-cd:cdrom_read_intr+856} [<ffffffff80131ef9>]{do_timer+41} 

       [<ffffffff80116952>]{timer_interrupt+930} [<ffffffff8011f99c>]{wake_up_cpu+28} 

       [<ffffffffa0079fd0>]{:ide-cd:cdrom_read_intr+0} [<ffffffff80126bd5>]{printk+485} 

       [<ffffffff80110857>]{common_interrupt+95} [<ffffffff80221b60>]{ide_timer_expiry+0} 

       [<ffffffff80221f5d>]{ide_intr+349} [<ffffffff8011f99c>]{wake_up_cpu+28} 

       [<ffffffffa0079fd0>]{:ide-cd:cdrom_read_intr+0} [<ffffffff80221c92>]{ide_timer_expiry+306} 

       [<ffffffff801325ec>]{timer_bh+684} [<ffffffff80110857>]{common_interrupt+95} 

       [<ffffffff8012cfbf>]{bh_action+79} [<ffffffff8012ce6b>]{tasklet_hi_action+139} 

       [<ffffffff8012cb3d>]{do_softirq+253} [<ffffffff801137a3>]{do_IRQ+339} 

       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010de20>]{default_idle+0} 

       [<ffffffff80110857>]{common_interrupt+95}  <EOI> [<ffffffff8010de3e>]{default_idle+30} 

       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010dec9>]{cpu_idle+73} 

       


Code: 0f 0b ab ce 2d 80 ff ff ff ff 3c 01 48 85 d2 74 13 0f 0b ab
Comment 12 Gleb Natapov 2010-08-15 08:40:02 EDT
(In reply to comment #11)
> it always happen on AMD host
It always happen on AMD when you are doing what?
Comment 13 Suqin Huang 2010-08-16 04:09:57 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > it always happen on AMD host
I didn't meet kernel panic issue when install rhel3.9 on Intel host.

> It always happen on AMD when you are doing what?
rhel3.9 installation
Comment 18 Jiri Pallich 2012-06-20 11:55:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.